Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.compiler.idl.reflect
Interface idlObject

All Known Subinterfaces:
  idlArray, idlAttribute, idlConst, idlEnum, idlException, idlFactory, idlFixed, idlIdentifier, idlInterface, idlModule, idlNative, idlOperation, idlParameter, idlPrimitive, idlSequence, idlState, idlString, idlStruct, idlStructMember, idlTypeDef, idlUnion, idlUnionMember, idlValue, idlValueBox, idlWString

All Known Implementing Classes:
  IdlObject

public interface idlObject

Each IDL object builds by the org.openorb IDL parser implements this interface.

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:21 $
Author:
  Jerome Daniel

Method Summary
`boolean` | `containsObject(int type)` Return TRUE if this object contains a object type
`java.util.Enumeration` | `content()` Return this idlObject content
`java.util.Enumeration` | `filter(int type)` Return this idlObject content with a filter
`int` | `idlConcreteType()` Return the concrete type ( if IDENTIFIER or TYPEDEF then returns the associated idl object )
`idlObject` | `idlDefinedIn()` Return the defined in object
`int` | `idlFinalType()` Return the final type ( if IDENTIFIER then returns the associated idl object )
`java.lang.String` | `idlID()` Return the IDL ID
`java.lang.String` | `idlName()` Return the object name
`int` | `idlType()` Return the object type
`boolean` | `included()` Return TRUE if this object is defined into a included file

Method Detail

### idlName

    public java.lang.String idlName()

  Return the object name

### idlType

    public int idlType()

  Return the object type

### idlFinalType

    public int idlFinalType()

  Return the final type ( if IDENTIFIER then returns the associated idl object )

### idlConcreteType

    public int idlConcreteType()

  Return the concrete type ( if IDENTIFIER or TYPEDEF then returns the associated idl object )

### idlDefinedIn

    public idlObject idlDefinedIn()

  Return the defined in object

### idlID

    public java.lang.String idlID()

  Return the IDL ID

### content

    public java.util.Enumeration content()

  Return this idlObject content

### filter

    public java.util.Enumeration filter(int type)

  Return this idlObject content with a filter

### containsObject

    public boolean containsObject(int type)

  Return TRUE if this object contains a object type

### included

    public boolean included()

  Return TRUE if this object is defined into a included file

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD